Subscription
Get Subscribers For CreatorDeprecated
Get all subscribers for a creator
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
creatorId*string
Creator object id
Query Parameters
statuses?string
Comma-separated list of status to filter subscriptions
Avaliable statuses: initiated, partpaid, authenticated, active, pending, halted, completed, cancelled, manualactive, manualexpired, expired
mangoes?string
Comma sepereated list of mangoes for filtering subscribers. If not provided, all mangoes will be considered.
Header Parameters
x-whitelabel-host*string
Host name of the dashboard, ex: mydomain.tagmango.com
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api-prod-new.tagmango.com/api/v1/external/subscriptions/subscribers-by-creator/66c4964c11e7fef26751f3a7" \ -H "x-whitelabel-host: string"[
{
"_id": "6659ca9e5f2acb7abfdcd8fd",
"name": "John Doe",
"email": "john.doe@example.com",
"phone": 1234567890,
"profilePicUrl": "https://linktoprofilepic.com/pic.jpg",
"country": "India",
"dialCode": "+91"
}
]{
"code": 400,
"type": "Bad Request",
"statusMessage": "BAD_REQUEST",
"success": false,
"message": "Invalid request",
"result": "Invalid request"
}{
"code": 401,
"type": "Unauthorized",
"statusMessage": "UNAUTHORIZED",
"message": "Invalid token",
"result": "Invalid token",
"success": false
}{
"code": 403,
"type": "Forbidden",
"statusMessage": "FORBIDDEN",
"errorCode": "WORKSHOP_MANGO_FORBIDDEN",
"message": "You can not access this api with a TagMango account, only available for whitelabel hosts",
"result": "You can not access this api with a TagMango account, only available for whitelabel hosts",
"success": false
}{
"code": 429,
"type": "Too Many Requests",
"statusMessage": "TOO_MANY_REQUESTS",
"message": "Request limit exceeded. try after 10 seconds",
"result": "Request limit exceeded. try after 10 seconds",
"success": false
}